<body class="body-sidenav">
    <div class="banner">
        <button mat-button class="drawer-close" style="margin: 10px;" (click)="close()"><mat-icon>clear</mat-icon></button>
        <div class="banner-container-1">
            <div class="service-presentation">
                <span class="logo">
                    <img src="assets/images/aster-x-flower.png" width="70px" height="70px">
                </span>

                <div class="service-base-infos">
                    <span class="panel-title">{{serviceDescription!.service_title}}</span>
                    <span class="company-name">by {{serviceDescription!.provider_designation}}</span>
                    <span class="location"><img src="assets/images/globe-white-small.svg"
                            *ngIf="serviceDescription.country_name" alt=""><ng-container>
                            {{serviceDescription!.country_name}}
                        </ng-container>
                        <ng-container *ngIf="serviceDescription.state">
                            - {{serviceDescription!.state}}
                        </ng-container>
                        <ng-container>
                            - {{serviceDescription!.urban_area}}
                        </ng-container></span>
                </div>
            </div>
            <button mat-flat-button class="edit-button" (click)="goToEditPage(serviceDescription)">Edit</button>
        </div>
        <div class="description-div">
            <p class="description">{{serviceDescription!.description}}</p>
        </div>
        <!-- <p><mat-icon>visibility</mat-icon></p> -->
        <div class="see-description-vc">
            <button mat-icon-button (click)="seeVC(serviceDescription)"><mat-icon>visibility</mat-icon>&nbsp;&nbsp;<span>See VP</span></button>
        </div>
        <span class="label-buttons">
            <span class="button-label">
                <span style="display: flex; flex-direction: column; align-items: center;">
                    <span style="display: flex;">
                        <app-static-star-rating [value]="serviceDescription.compliance_label_level*1" style="margin-right: 2px; display: flex;
                            flex-direction: row; align-items: center;">
                        </app-static-star-rating>
                        <p class="label-text">Label {{serviceDescription!.compliance_label_level}}</p>
                    </span>
                    <p class="no-label" *ngIf="serviceDescription.compliance_label_level == 0"><mat-icon
                            style="color: #b60b0b;">cancel</mat-icon> No label
                    </p>
                </span>
            </span>
            <span class="button-catalog">Catalog
                <span *ngIf="!isPublished()" class="not-published"><mat-icon style="color: #b60b0b;">cancel</mat-icon>
                    Not published</span>
                <span *ngIf="isPublished()" class="published"><mat-icon style="color:
                        green;">check_circle</mat-icon>Published</span>
            </span>
        </span>

    </div>

    <div class="other-info">
        <!-- <p class="title-info"><img src="assets/images/info-cog.svg" alt=""> Service title</p>
        <div class="container">
            <span class="element-btn" *ngIf="serviceDescription.service_title">
                {{serviceDescription.service_title.length > 0 ? serviceDescription.service_title : "No services"}}</span>
        </div>
        <div class="separator"></div> -->
        <p class="title-info"><img src="assets/images/info-cog.svg" alt=""> Type of
            service</p>
        <div class="container">
            <span class="element-btn" *ngFor="let item of getServiceTypes()"> {{item.length > 0 ? item : "No services"}}</span>
        </div>
        <div class="separator"></div>
        <p class="title-info"><img src="assets/images/info-cube.svg" alt=""> Layer</p>
        <div class="container">
            <span class="element-btn" *ngIf="serviceDescription.layer">{{getLayer().length > 0 ? getLayer() : "No layer"}}</span>
            <span class="element-btn" *ngIf="!serviceDescription.layer">Unspecified</span>
        </div>
        <div class="separator"></div>

        <p class="title-info"><img src="assets/images/info-check.svg" alt="">
            Certification</p>
        <div class="container">
            <span class="element-btn" *ngFor="let item of getComplianceReferenceTitles()"> {{item.length > 0 ? item :
                "No claims"}}</span>
        </div>
        <div class="container-claims">
            <span>
                <div class="separator"></div>

                <div class="claim-category-wrapper">
                    <p class="claim-category-title">
                        Security
                    </p>
                    <div class="claim-number" *ngIf="filterClaimsBy('Security')">{{filterClaimsBy('Security')!.length}}
                    </div>
                </div>

                <div class="container-claims-reference">
                    <span class="claim-reference" *ngFor="let reference
                        of filterClaimsBy('Security')">
                        <div class="ref-status
                            ref-status-valid" *ngIf="reference.status"></div>
                        <div class="ref-status ref-status-invalid" *ngIf="!reference.status"></div>{{reference.title}}
                    </span>
                </div>
                <div class="separator-small"></div>
                <div class="claim-category-wrapper">
                    <p class="claim-category-title">
                        Data Protection
                    </p>
                    <div class="claim-number" *ngIf="filterClaimsBy('Data Protection')">{{filterClaimsBy('Data Protection')!.length}}</div>
                </div>
                <div class="container-claims-reference">
                    <span class="claim-reference" *ngFor="let reference
                        of filterClaimsBy('Data Protection')">
                        <div class="ref-status
                            ref-status-valid" *ngIf="reference.status"></div>
                        <div class="ref-status ref-status-invalid" *ngIf="!reference.status"></div>{{reference.title}}
                    </span>
                </div>
                <div class="separator-small"></div>
                <div class="claim-category-wrapper">
                    <p class="claim-category-title">
                        Climate Neutrality
                    </p>
                    <div class="claim-number" *ngIf="filterClaimsBy('Security')">{{filterClaimsBy('Climate Neutrality')!.length}}</div>
                </div>
                <div class="container-claims-reference">
                    <span class="claim-reference" *ngFor="let reference
                        of filterClaimsBy('Climate Neutrality')">
                        <div class="ref-status
                            ref-status-valid" *ngIf="reference.status"></div>
                        <div class="ref-status ref-status-invalid" *ngIf="!reference.status"></div>{{reference.title}}
                    </span>
                </div>
                <div class="separator-small"></div>
                <div class="claim-category-wrapper">
                    <p class="claim-category-title">
                        Data Porting
                    </p>
                    <div class="claim-number" *ngIf="filterClaimsBy('Security')">{{filterClaimsBy('Data Porting')!.length}}</div>
                </div>
                <div class="container-claims-reference">
                    <span *ngFor="let reference
                        of filterClaimsBy('Data Porting')">
                        <div class="ref-status
                            ref-status-valid" *ngIf="reference.status"></div>
                        <div class="ref-status ref-status-invalid" *ngIf="!reference.status"></div>{{reference.title}}
                    </span>
                </div>
                <div class="separator-small"></div>
                <div class="claim-category-wrapper">
                    <p class="claim-category-title">
                        Other
                    </p>
                    <div class="claim-number" *ngIf="filterClaimsBy('Security')">{{filterClaimsBy('Other')!.length}}
                    </div>
                </div>
                <div class="container-claims-content">
                    <span *ngFor="let reference
                        of filterClaimsBy('Other')">
                        <div class="ref-status
                            ref-status-valid" *ngIf="reference.status"></div>
                        <div class="ref-status ref-status-invalid" *ngIf="!reference.status"></div>{{reference}}
                    </span>
                </div>

            </span>
        </div>
        <div class="separator"></div>
        <p class="title-info"><img src="assets/images/info-home.svg" alt=""> Federation</p>
        <div class="container" *ngIf="serviceDescription.federations">
            <span class="element-btn" *ngFor="let federation of
                serviceDescription.federations">{{federation || 'Gaia-X'}}</span>
        </div>
        <div class="container" *ngIf="!serviceDescription.federations">
            <span class="element-btn">{{'Gaia-X'}}</span>
            <span class="element-btn">{{'ABC-federation'}}</span>
        </div>
    </div>
</body>
